#ifndef XCLEAFBRUSHNODE_H
#define XCLEAFBRUSHNODE_H

#include "xasset.h"
#include "xcleafbrushnodedata.h"

class XCLeafBrushNode : public XAsset
{
public:
    explicit XCLeafBrushNode();
    ~XCLeafBrushNode();

    void ParseData(QDataStream *aStream) override;
    void Clear() override;

    quint8 GetAxis() const;
    void SetAxis(quint8 axis);

    qint16 GetLeafBrushCount() const;
    void SetLeafBrushCount(qint16 count);

    int GetContents() const;
    void SetContents(int contents);

    XCLeafBrushNodeData& GetData();
    const XCLeafBrushNodeData& GetData() const;
    void SetData(const XCLeafBrushNodeData& data);

private:
    quint8 mAxis;
    qint16 mLeafBrushCount;
    int mContents;
    XCLeafBrushNodeData mData;
};

#endif // XCLEAFBRUSHNODE_H
